<!--

=========================================================
* Argon Dashboard Angular - v1.1.0
=========================================================

* Product Page: https://www.creative-tim.com/product/argon-dashboard-angular
* Copyright 2019 Creative Tim (https://www.creative-tim.com)
* Licensed under MIT (https://github.com/creativetimofficial/argon-dashboard-angular/blob/master/LICENSE.md)

* Coded by Creative Tim

=========================================================

* The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

-->
<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <base href="/">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="Esprit DevsSociety">

    <title>Sharek | مبادرة شارك</title>

    <!-- Favicon -->
    <link href="./assets/img/logo2.png" rel="icon" type="image/png">

    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet">
    <!-- Icons -->
    <link href="./assets/vendor/nucleo/css/nucleo.css" rel="stylesheet">
    <link href="./assets/vendor/@fortawesome/fontawesome-free/css/all.min.css" rel="stylesheet">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <style>
        body.bg {
            background-color: #262626 !important;
            overflow-x: hidden;
        }

        .mat-step-header .mat-step-icon {
            background-color: #f39c12 !important;
            color: #222222 !important;
        }

        .mat-horizontal-stepper-header {
            padding: 0px 0px 0px 0px !important;
        }

        @media (max-width: 1279.98px) {
            .mat-step-header {
                overflow: visible !important;
            }

            .mat-step-header .mat-step-label {
                display: none !important;
            }
        }

        .mat-radio-button {
            margin-right: 50px;
        }

        .mat-flat-button.mat-primary,
        .mat-raised-button.mat-primary,
        .mat-fab.mat-primary,
        .mat-mini-fab.mat-primary {
            background-color: #f39c12 !important;
        }

        .curtain {
            position: fixed;
            top: 0;
            left: 0;
            height: 100vh;
            width: 100vw;
            padding: 0;
            margin: 0;
            outline: 0;
            border: 0;
            box-sizing: border-box;
            z-index: 999;
        }

        .curtain-bg {
            background: #f1c40f;
            height: 100%;
            width: 100%;
        }

        .loading * {
            position: absolute;
            left: 50%;
            top: 50%;
            -webkit-transform: translate3d(-50%, -50%, 0) rotate(0deg);
            transform: translate3d(-50%, -50%, 0) rotate(0deg);
        }

        .loading .logo {
            background-image: url("./assets/img/logo-animation.png");
            background-repeat: no-repeat;
            background-position: center;
            width: 300px;
            height: 100%;
        }

        .loading .dots.animate .dot {
            -webkit-animation: loading-block 3.5s ease-in-out infinite;
            animation: loading-block 3.5s ease-in-out infinite;
        }

        .loading .dots.animate .dot:after {
            -webkit-animation: loading-dot 3.5s ease-in-out infinite;
            animation: loading-dot 3.5s ease-in-out infinite;
        }

        .loading .dots .dot {
            width: 300px;
            height: 300px;
        }

        .loading .dots .dot:after {
            content: "";
            display: inline-block;
            width: 60px;
            height: 60px;
            background-color: #000000;
            position: absolute;
            -webkit-transform: scale(0.17) rotate(41deg);
            transform: scale(0.16) rotate(41deg);
        }

        .loading .dots .dot:nth-child(1) {
            top: -162px;
            left: -79px;
            -webkit-animation-delay: 0.5s;
            animation-delay: 0.5s;
        }

        .loading .dots .dot:nth-child(1):after {
            -webkit-transform-origin: bottom right;
            transform-origin: bottom right;
            bottom: 0;
            right: 0;
            -webkit-animation-delay: 0.5s;
            animation-delay: 0.5s;
        }

        .loading .dots .dot:nth-child(2) {
            top: 111px;
            left: 225px;
            -webkit-animation-delay: 0.75s;
            animation-delay: 0.75s;
        }

        .loading .dots .dot:nth-child(2):after {
            -webkit-transform-origin: top left;
            transform-origin: top left;
            top: 0;
            left: 0;
            -webkit-animation-delay: 0.75s;
            animation-delay: 0.75s;
        }

        .loading .dots .dot:nth-child(3) {
            top: -169px;
            left: 225px;
            -webkit-animation-delay: 1s;
            animation-delay: 1s;
        }

        .loading .dots .dot:nth-child(3):after {
            -webkit-transform-origin: bottom left;
            transform-origin: bottom left;
            bottom: 0;
            left: 0;
            -webkit-animation-delay: 1s;
            animation-delay: 1s;
        }

        @-webkit-keyframes loading-block {

            71.4285714286%,
            100% {
                -webkit-transform: translate3d(-50%, -50%, 0) rotate(360deg);
                transform: translate3d(-50%, -50%, 0) rotate(360deg);
            }
        }

        @keyframes loading-block {

            71.4285714286%,
            100% {
                -webkit-transform: translate3d(-50%, -50%, 0) rotate(360deg);
                transform: translate3d(-50%, -50%, 0) rotate(360deg);
            }
        }

        @-webkit-keyframes loading-dot {

            0%,
            71.4285714286%,
            100% {
                -webkit-transform: scale(0.17);
                transform: scale(0.17);
            }

            35.7142857143% {
                -webkit-transform: scale(1);
                transform: scale(1);
            }
        }

        @keyframes loading-dot {

            0%,
            71.4285714286%,
            100% {
                -webkit-transform: scale(0.17) rotate(41deg);
                transform: scale(0.17) rotate(41deg);
            }

            35.7142857143% {
                -webkit-transform: scale(1) rotate(41deg);
                transform: scale(1) rotate(41deg);
                border-radius: 50%;
            }
        }

        .curtain .intro-screen__shape,
        .curtain .intro-screen__shape {
            width: 100%;
            margin: -0.5rem 0 0 0;
            position: relative;
        }

        .curtain .intro-screen__shape .shape,
        .curtain .intro-screen__shape .shape {
            height: 100vh;
            width: 100%;
            display: block;
            fill: #f1c40f;
        }

        #signatureCanvas canvas {
            max-width: 100%;
        }

        /* #tawkchat-status-text-container {
            background-color: #f1c40f !important;
        }

        .theme-background-color {
            background-color: #f1c40f !important;
        } */
        #img-resp img {
            max-width: 100%;
        }
    </style>
</head>

<body>
    <div class="curtain">
        <div class="curtain-bg"></div>

        <div class='loading'>
            <div class='logo'></div>
            <div class='dots animate'>
                <div class='dot'></div>
                <div class='dot'></div>
                <div class='dot'></div>
            </div>
        </div>
        <div class="intro-screen__shape">
            <svg class="shape" width="100%" height="100vh" preserveAspectRatio="none" viewBox="0 0 1440 800">
                <path
                    d="M -44,-50 C -52.71,28.52 15.86,8.186 184,14.69 383.3,22.39 462.5,12.58 638,14 835.5,15.6 987,6.4 1194,13.86 1661,30.68 1652,-36.74 1582,-140.1 1512,-243.5 15.88,-589.5 -44,-50 Z"
                    pathdata:id="M -44,-50 C -137.1,117.4 67.86,445.5 236,452 435.3,459.7 500.5,242.6 676,244 873.5,245.6 957,522.4 1154,594 1593,753.7 1793,226.3 1582,-126 1371,-478.3 219.8,-524.2 -44,-50 Z">
                </path>
            </svg>
        </div>
    </div>
    <app-root></app-root>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/animejs/2.2.0/anime.js"></script>
    <script>
        (function (i, s, o, g, r, a, m) {
            i['GoogleAnalyticsObject'] = r;
            i[r] = i[r] || function () {
                (i[r].q = i[r].q || []).push(arguments)
            }, i[r].l = 1 * new Date();
            a = s.createElement(o),
                m = s.getElementsByTagName(o)[0];
            a.async = 1;
            a.src = g;
            m.parentNode.insertBefore(a, m)
        })(window, document, 'script', 'https://www.google-analytics.com/analytics.js', 'ga');
        ga('create', 'UA-103979889-2', 'auto'); // add your tracking ID here.
    </script>
    <script>
        const LANDING = {};
        LANDING.intro = document.querySelector(".curtain");
        LANDING.path = LANDING.intro.querySelector("path");

        function svgAnimation() {
            console.log("Animation");

            anime({
                targets: LANDING.intro,
                duration: 2000,
                easing: "easeInOutSine",
                translateY: "-200vh"
            });

            anime({
                targets: LANDING.path,
                duration: 1500,
                easing: "easeInOutSine",
                d: LANDING.path.getAttribute("pathdata:id")
            });
        };

        setTimeout(function () {
            svgAnimation()
        }, 4000);
    </script>
</body>

</html>